Subject: bug#4792: 23.1; dired-insert-directory: doesn't indent header lines if no files

From: "Drew Adams" <[email-masked]>
Date: Sat, 24 Oct 2009 12:07:19 -0700

> > emacs -q
> > C-x d some-directory-that-does-not-exist
> 
> > The listing looks like this:
> >   c:/Emacs-23.1/lisp:
> >   wildcard some-directory-that-does-not-exist
> > (No match)
> > total used in directory 0 available 26402560
> 
> I can't reproduce this.  C-x d 
> some-directory-that-does-not-exist gives an error
> 
>   "Reading directory: no such file or directory, some-directory"
> 
> This is both with and without ls-lisp loaded.

Hey, what can I say? Did you actually try it on MS Windows?
This is 100% reproducible for me, using emacs -Q in 23.1.

And I don't think it _should_ be raising an error. You should be able to use any
wildcard expression (and that's what this is, in fact), and a Dired buffer
should be opened showing you the matches - even if there are none.

IOW, using `some-directory-that-does-not-exist' is no different from using
`*.jjjjjjjjj'. If there are no matches for the pattern, then you should get a
listing like what I wrote above - except the header info should be indented
properly.